package com.jscape.inet.proxy.socks.protocol.v5.messages;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class PasswordAuthenticationRequest
        extends Message {

    public final String username;
    public final String password;

    public PasswordAuthenticationRequest(String username, String password) {
        assertNotNull(username);
        this.username = username;

        assertNotNull(password);
        this.password = password;
    }

    @Override
    public String toString() {
        return "PasswordAuthenticationRequest {"
               + "username='" + this.username + '\''
               + ", password='*****'"
               + '}';
    }
}
